> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieve detailed information about an existing Devin session, including its status, output, and metadata.

# Retrieve details about an existing session



## OpenAPI

````yaml /v1-openapi.yaml GET /v1/sessions/{session_id}
openapi: 3.1.0
info:
  description: Devin v1 API with Personal and Service API Keys
  title: Devin API v1
  version: 1.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v1/sessions/{session_id}:
    get:
      summary: Retrieve details about an existing session
      description: >-
        Retrieve detailed information about an existing Devin session, including
        its status, output, and metadata.
      operationId: get_session_endpoint_v1_sessions__session_id__get
      parameters:
        - in: path
          name: session_id
          required: true
          schema:
            title: Session Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSessionResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    GetSessionResponse:
      description: Detailed information about an existing session.
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        messages:
          default: []
          items:
            $ref: '#/components/schemas/SessionMessage'
          title: Messages
          type: array
        playbook_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Playbook Id
        pull_request:
          anyOf:
            - $ref: '#/components/schemas/PullRequestInfo'
            - type: 'null'
        session_id:
          title: Session Id
          type: string
        snapshot_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Snapshot Id
        status:
          title: Status
          type: string
        status_enum:
          anyOf:
            - enum:
                - working
                - blocked
                - expired
                - finished
                - suspend_requested
                - suspend_requested_frontend
                - resume_requested
                - resume_requested_frontend
                - resumed
              type: string
            - type: 'null'
          title: Status Enum
        structured_output:
          anyOf:
            - {}
            - type: 'null'
          title: Structured Output
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - session_id
        - status
        - created_at
        - updated_at
      title: GetSessionResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    SessionMessage:
      description: A message in a Devin session.
      properties:
        event_id:
          title: Event Id
          type: string
        message:
          title: Message
          type: string
        origin:
          anyOf:
            - type: string
            - type: 'null'
          title: Origin
        timestamp:
          title: Timestamp
          type: string
        type:
          title: Type
          type: string
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
        username:
          anyOf:
            - type: string
            - type: 'null'
          title: Username
      required:
        - type
        - event_id
        - message
        - timestamp
      title: SessionMessage
      type: object
    PullRequestInfo:
      description: Pull request information associated with a session.
      properties:
        url:
          title: Url
          type: string
      required:
        - url
      title: PullRequestInfo
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Personal API Key (apk_user_*) or Service API Key (apk_*)
      scheme: bearer
      type: http

````